For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sample appsIntegrationsDiscordPlaygroundDevEx repo
GuidesSDK ReferenceAPI Reference
GuidesSDK ReferenceAPI Reference
  • TwelveLabs API
    • Introduction
    • Authentication
  • API Reference
    • Manage indexes
    • Upload content
    • Index content
    • Manage videos
    • Manage entities
    • Any-to-video search
    • Create embeddings v2
    • Create embeddings v1
    • Analyze and segment videos
      • POSTSync analysis
      • POSTCreate an async analysis task
      • GETList async analysis tasks
      • GETRetrieve analysis task status and results
      • DELDelete an analysis task
    • Error codes
LogoLogo
Sample appsIntegrationsDiscordPlaygroundDevEx repo
API ReferenceAnalyze and segment videos

Delete an analysis task

DELETE
https://api.twelvelabs.io/v1.3/analyze/tasks/:task_id
DELETE
/v1.3/analyze/tasks/:task_id
$curl -X DELETE https://api.twelvelabs.io/v1.3/analyze/tasks/64f8d2c7e4a1b37f8a9c5d12 \
> -H "x-api-key: <apiKey>"
1{}
This method deletes an analysis task. You can only delete tasks that are not currently being processed.
Was this page helpful?
Previous

Error codes

Next
Built with

Authentication

x-api-keystring

Your API key.

Note

You can find your API key on the API Keys page.

Path parameters

task_idstringRequired
The unique identifier of the analyze task.

Response

If successful, this method returns a 204 No Content response code. It does not return anything in the response body.

Errors

404
Not Found Error
409
Conflict Error